GHPython not loading in Grasshopper V6

I downloaded the latest ghpython.gha from food4rhino (July 2014) and put it into the Libraries folder, it seems to work in V5, but in V6, I still don’t have a Python component listed in the “Maths>Script” section…?

–Mitch

Hi Mitch

in the Serengeti build, GhPython should come with the Rhino install. That is why GhPython from Food4Rhino does not load.

Could you please send a screenshot of the standard components folder of Rhino 6?
Please right-click “Component info” in a default component to find the exact location on your system.

Thanks!

Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

Well, I first tried see if it was automatically there without doing anything. But it wasn’t. So I went to the components folder via Grasshopper - and that link is wrong, as it finds the “Libraries” folder from the V5 install:

C:\Users\<me>\AppData\Roaming\Grasshopper\Libraries

Your suggestion helped me find the correct folder:

Here is a screenshot of what’s in that folder:

I guess it should either be included in ScriptComponents, or it’s missing… In any case I don’t have it in GH…

Thanks,

–Mitch

This is what I was fearing. It seems we have to patch the installer to also install GhPython.gha there.

Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

OK, thanks Giulio, I manually copied the GhPython.gha over to the WIP Grasshopper components folder and now it works.

Just for info - will definitions created in V6 WIP/Grasshopper operate if opened in V5/Grasshopper?

Cheers, --Mitch

The idea is that they should if the definition is in “simple/script mode”, but there is no way to make that work in component mode.

If you notice any issue (I have tested this but obviously not in every case) please let me know.

BTW, where did you copy the .gha from?
Thank you,

Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

My question was more with reference to basic Grasshopper definitions, not necessarily using GhPython components.

It’s the .gha I downloaded from food4rhino (July 2014), which I had placed in the V5 Grasshopper Libraries folder.

Cheers,
–Mitch

Ciao Giulio
Anch’io ho un problema, ma diverso di quello di Mitch, con GhPython:
Quando apro l’open editor mi appare il messaggio allegato.
In V5 va bene.
Also me have a problem, but other than Mitch, with GhPython:
When I open the open-editor appears the attached message.
In V5 that’s fine.
Ciao Vittorio

Only David knows this (:

Ok, then this should be fixed by the installer next time, hopefully.
Thank you.

Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

C’è qualcosa di sbagliato nell’installatore, e sospetto che questo abbia anche a che fare con il meccanismo di installazione. Dobbiamo aspettare che cosa dice @brian al riguardo.

Per favore pazienta un poco e spero che ne sapremo di più presto.

Giulio

Giulio Piacentino
for Robert McNeel & Associates
giulio@mcneel.com

Ciao Giulio
Non ho fretta ho solo segnalato il caso
I’m not hurry I only reported the case
Ciao Vittorio

This will be fixed in WIPs dated after 9/4/2014.

FYI, i installed wip and had this problem. I guess the installer is still not patch then. Gonna try to copy grasshopper the right folder and see tomorrow.

Did you have a WIP installed prior to installing 5 days ago?

Hi Brian. I’m think I did. It’s rhino_en-us_6.0.16244.09561.

In the meanwhile I have a running thread on the grasshopper forum on this topic:

We have narrowed it down to a “failing” ironpython plugin. EditPythonScript command is unknown. I Rhino developer will be contacted specifically on this topic.

But I can use any help:)

Did you seoarately install ironpython? If so, try uninstalling that to see if the problem goes away. I’ve seen cases where having both installed can cause problems.

There is a chance indeed. I remember to have installed a Rhino SDK environment to create a python .net assembly. Ironpython was part of that. Ill have a look.

For Rhino5 it all works, however.

Damn, that was it! I uninstalled the ironpython required for the Rhino python SDK and voila. Tnx

1 Like